
/* Test our stack implementation by reversing a string */

#include "stack.h"
#include <stdlib.h>
#include <stdio.h>

int main(void) {
  char str[] = "We all love C programming";
  int i;
  stack s;

  initialize(&s);
  printf("Input string: %s\n", str);
  for (i=0; str[i] != '\0'; ++i) 
    if (!full(&s))
      push(str[i], &s);
  printf("String off stack: ");
  while (!empty(&s))
    putchar(pop(&s));
  putchar('\n');
  return EXIT_SUCCESS;
}

